For the complete documentation index, see llms.txt. This page is also available as Markdown.

getAccountInfo

getAccountInfo — Account info for a single pubkey

post
/

Returns all information associated with the account of provided Pubkey Parameters

  1. pubkey (required) — Base-58 encoded public key.

  2. config (optional) — Optional configuration object. Every field is optional; omit the entire object to use defaults.

Authorizations
AuthorizationstringOptional

Pass Authorization: <api-key> on each request.

Body
jsonrpcstring · enumRequired

JSON-RPC protocol version.

Example: 2.0Possible values:
idone ofRequired

Request identifier echoed back in the response.

Example: 1
stringOptional
or
integerOptional
methodstring · enumRequired

Must be getAccountInfo.

Example: getAccountInfoPossible values:
Responses
200

Successful getAccountInfo response.

application/json

Base envelope of every JSON-RPC 2.0 response.

jsonrpcstring · enumRequiredExample: 2.0Possible values:
idone ofRequired

Echoed request id.

Example: 1
stringOptional
or
integerOptional
post/
curl -X POST https://public.rpc.solanavibestation.com \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getAccountInfo",
    "params": [
      "83astBRguLMdt2h5U1Tpdq5tjFoJ6noeGwaY3mDLVcri",
      {
        "encoding": "base64",
        "commitment": "finalized"
      }
    ]
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "context": {
      "slot": 416997240,
      "apiVersion": "3.1.10"
    },
    "value": {
      "lamports": 1000000,
      "owner": "11111111111111111111111111111111",
      "executable": false,
      "rentEpoch": 18446744073709552000,
      "space": 0,
      "data": [
        "",
        "base64"
      ]
    }
  }
}

Last updated